import Taro from '@tarojs/taro';
import { TabBarPageRouter } from '@/constants';
import { useSystemStore } from '@/stores/modules/system';

export function useSwitchTab() {
  const systemStore = useSystemStore();

  const switchTab = (option: Taro.switchTab.Option) => {
    const index = Object.values(TabBarPageRouter).findIndex((x) => option.url.includes(x));
    console.log('index: ', index);
    systemStore.setTabIndex(index);
    Taro.switchTab(option);
  };
  return switchTab;
}

// export function useFirstEnter() {
//   const systemStore = useSystemStore();
//   const { isFirstEnter } = storeToRefs(systemStore);
//   console.log('isFirstEnter: ', isFirstEnter);

//   onMounted(() => {
//     systemStore.setIsFirstEnter(false);
//   });

//   return { isFirstEnter };
// }

export function useFocus() {
  const isFocus = ref(false);

  Taro.useDidShow(() => {
    isFocus.value = true;
  });

  Taro.useDidHide(() => {
    isFocus.value = false;
  });

  return {
    isFocus,
  };
}
